use binding::{CDouble, CInt};



#[link(name="m")]
extern
{
   pub fn acos(x: CDouble) -> CDouble;
   pub fn asin(x: CDouble) -> CDouble;
   pub fn atan(x: CDouble) -> CDouble;
   pub fn atan2(y: CDouble, x: CDouble) -> CDouble;
   pub fn cos(x: CDouble) -> CDouble;
   pub fn cosh(x: CDouble) -> CDouble;
   pub fn sin(x: CDouble) -> CDouble;
   pub fn sinh(x: CDouble) -> CDouble;
   pub fn tanh(x: CDouble) -> CDouble;
   pub fn exp(x: CDouble) -> CDouble;
   pub fn frexp(x: CDouble, exponent: *mut CInt) -> CDouble;
   pub fn ldexp(x: CDouble, exponent: CInt) -> CDouble;
   pub fn log(x: CDouble)-> CDouble;
   pub fn log10(x: CDouble)-> CDouble;
   pub fn modf(x: CDouble, integer: *mut CInt)-> CDouble;
   pub fn pow(x: CDouble, y: CDouble) -> CDouble;
   pub fn sqrt(x: CDouble) -> CDouble;
   pub fn ceil(x: CDouble) -> CDouble;
   pub fn fabs(x: CDouble) -> CDouble;
   pub fn floor(x: CDouble) -> CDouble;
   pub fn fmod(x: CDouble, y: CDouble) -> CDouble;
}
